Skip to main content
GET
/
v1
/
options
/
etfs
/
top-volume
Get Top ETF Options by Volume
curl --request GET \
  --url https://api.aries.com/v1/options/etfs/top-volume \
  --header 'Authorization: Bearer <token>'
[
  {
    "symbol": "<string>",
    "underlyingSymbol": "<string>",
    "logoUrl": "<string>",
    "type": "<string>",
    "strike": 123,
    "expiry": "<string>",
    "volume": 123,
    "openInterest": 123,
    "lastPrice": 123,
    "change": 123,
    "changePercent": 123,
    "bid": 123,
    "ask": 123,
    "impliedVolatility": 123
  }
]

Response

Success returns 200 OK with a JSON array of option contract details. Each item includes: symbol, underlyingSymbol, logoUrl, type, strike, expiry, volume, openInterest, lastPrice, change, changePercent, bid, ask, impliedVolatility.

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

size
integer
default:10

Maximum number of results (optional, default 10)

Required range: 1 <= x <= 99

Response

Array of option contract details (symbol, underlyingSymbol, type, strike, expiry, volume, openInterest, lastPrice, change, changePercent, bid, ask, impliedVolatility, logoUrl).

symbol
string

Option contract symbol

underlyingSymbol
string

Underlying stock or ETF symbol

logoUrl
string

URL to the underlying company or ETF logo

type
string

Option type (e.g. call, put)

strike
number

Strike price

expiry
string

Expiration date

volume
integer<int64>

Trading volume

openInterest
integer<int64>

Open interest

lastPrice
number

Last trade price

change
number

Price change from previous close

changePercent
number

Percentage change from previous close

bid
number

Bid price

ask
number

Ask price

impliedVolatility
number

Implied volatility